LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XMasterPageTarget Interface Referencepublished

is implemented by objects that can be linked to a MasterPage. More...

`import"XMasterPageTarget.idl";`

Inheritance diagram for XMasterPageTarget:

## Public Member Functions
com::sun::star::drawing::XDrawPage | getMasterPage ()
void | setMasterPage ([in] com::sun::star::drawing::XDrawPage xMasterPage)
| links a MasterPage to this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is implemented by objects that can be linked to a MasterPage.

See also
  DrawPage

## Member Function Documentation

## ◆ getMasterPage()

com::sun::star::drawing::XDrawPage getMasterPage | ( |  | ) |

Returns
  the MasterPage linked to this object.

## ◆ setMasterPage()

void setMasterPage | ( | [in] com::sun::star::drawing::XDrawPage | xMasterPage | ) |

links a MasterPage to this object.

Parameters

  xMasterPage | the MasterPage that is linked to this object

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XMasterPageTarget.idl